org.keycloak.services.resources

## Enum AccountService.AccountSocialAction

- java.lang.Object
- - java.lang.Enum<AccountService.AccountSocialAction>
  - - org.keycloak.services.resources.AccountService.AccountSocialAction

- All Implemented Interfaces:
    Serializable, Comparable<AccountService.AccountSocialAction>
  Enclosing class:
    AccountService

      public static enum AccountService.AccountSocialAction
      extends Enum<AccountService.AccountSocialAction>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ADD`
    `REMOVE`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static AccountService.AccountSocialAction` | `getAction(String action)`
    `static AccountService.AccountSocialAction` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static AccountService.AccountSocialAction[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ADD

          public static final AccountService.AccountSocialAction ADD

    - #### REMOVE

          public static final AccountService.AccountSocialAction REMOVE

  - ### Method Detail

    - #### values

          public static AccountService.AccountSocialAction[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (AccountService.AccountSocialAction c : AccountService.AccountSocialAction.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static AccountService.AccountSocialAction valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getAction

          public static AccountService.AccountSocialAction getAction(String action)

Copyright © 2015. All Rights Reserved.